#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-ABOOC4qXpDe4KrQNbKdPsm
key:                  hls-refactor-plugin-1.1.0.0-ABOOC4qXpDe4KrQNbKdPsm
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  063f171da7b7690169319628c50ff8a7
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-ABOOC4qXpDe4KrQNbKdPsm
depends:
    aeson-2.1.2.1-1fv710ekuXrLy0H0BmdChy base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    dlist-1.0-Ge5E4TM9DngAWe8aSUgFvB
    extra-1.7.14-BeIxBD1TTw99mJxXRZbRjk ghc-9.0.2 ghc-boot-9.0.2
    ghc-exactprint-0.6.4-2UnWVKG6CLhHVDhLPME3ZS
    ghcide-1.9.1.0-15o17MQuzG59PhTjwl7RfL
    hls-graph-1.9.0.0-7IKvaVPxGn0AIWXyOrpn09
    hls-plugin-api-1.6.0.0-BIJxFqN27gXCnS9mJnRIJB
    lens-5.2.3-8AWELFAKeaF8YyQXTXJeRN
    lsp-1.6.0.0-3W5ku1a3kvf8mCBarPfUuz mtl-2.2.2
    regex-tdfa-1.3.2.2-9d02Vv3iUKz8OK73SJxgRM
    retrie-1.1.0.0-HtFKrkoJzb9FumZtkkJoj1
    syb-0.7.2.3-4Xeu1aahab83tPpmn4rTz6 text-1.2.5.0
    text-rope-0.2-2vDa1QUzs8gC5MMujGzbm5 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.20-HhQJS7NiOvHB6IaOqAYhII

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

